=== debian/changelog ===
dlm (4.0.9-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:25 +0100

dlm (4.0.9-1) unstable; urgency=medium

  * [34a0910] New upstream release (4.0.9)
  * [28d80f7] Refresh patches for new version
  * [e833693] Update Standards-Version to 4.4.0
  * [115086e] Add Build-Depends on uuid-dev
  * [bb396e7] Move libdlmcontrol.pc to libdlmcontrol-dev
  * [0277b4f] Update libdlmcontrol3.symbols
  * [b0015e3] Add init script

 -- Valentin Vidic <vvidic@debian.org>  Sun, 14 Jul 2019 17:25:42 +0200
