=== debian/tests/control ===
Depends: dlm-controld
Tests: basic
Restrictions: needs-root

Depends: dlm-controld
Tests: corosync
Restrictions: needs-root, isolation-machine
