=== debian/changelog ===
dlm (4.1.0-1) unstable; urgency=medium

  * [a3feca1] Enable Salsa CI
  * [61a184e] Set upstream branch for gbp
  * [b7c0d98] New upstream version 4.1.0
  * [f13d897] Update Standards-Version to 4.5.1
  * [25f4562] Refresh patches for new version

 -- Valentin Vidic <vvidic@debian.org>  Sat, 23 Jan 2021 09:03:26 +0100

dlm (4.0.9-2) unstable; urgency=medium

  * [e372059] Mark basic test as superficial (Closes: #972517, #954103)
  * [74581ab] Update Standards-Version to 4.5.0
  * [7d58940] Update debhelper to version 13
  * [1ec9aa6] Fix gcc build warnings
  * [4a81b13] Set Rules-Requires-Root: no

 -- Valentin Vidic <vvidic@debian.org>  Mon, 19 Oct 2020 22:09:22 +0200
