=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Ferenc Wágner <wferi@debian.org>,
  Valentin Vidic <vvidic@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 12),
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 13),
  libcfg-dev (>= 1.99),
+ libcmap-dev (>= 1.99),
  libcpg-dev (>= 1.99),
- libcmap-dev (>= 1.99),
  libquorum-dev (>= 1.99),
  libsystemd-dev,
  libxml2-dev,
  pacemaker-dev,
+ pkg-config,
  uuid-dev,
- pkg-config
 Homepage: https://pagure.io/dlm
 Vcs-Browser: https://salsa.debian.org/ha-team/dlm
 Vcs-Git: https://salsa.debian.org/ha-team/dlm.git
