## dlm 4.1.1

=== dlm_controld/Makefile ===
--- 
+++ 
@@ -49,15 +49,19 @@
 BIN_CFLAGS += -I../include -I../libdlm
 LIB_CFLAGS += $(CFLAGS) -fPIC
 
-BIN_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -pie
+BIN_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -Wl,-z,defs -pie
 BIN_LDFLAGS += -lpthread -lrt -lcpg -lcmap -lcfg -lquorum -luuid
-LIB_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -pie
+LIB_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -Wl,-z,defs -pie
 
 PKG_CONFIG ?= pkg-config
 ifeq ($(USE_SD_NOTIFY),yes)
 	BIN_CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd) \
 		      -DUSE_SD_NOTIFY
 	BIN_LDFLAGS += $(shell $(PKG_CONFIG) --libs libsystemd)
+endif
+
+ifeq (, $(shell $(PKG_CONFIG) --libs "libquorum >= 3.1.0"))
+	 $(error "Requires libquorum at least version 3.1.0")
 endif
 
 all: $(LIB_TARGET) $(BIN_TARGET) $(LIB_PC)
