=== fence/Makefile ===
--- 
+++ 
@@ -20,8 +20,9 @@
 CFLAGS += -fPIE -DPIE
 CFLAGS += `xml2-config --cflags`
 CFLAGS += -I../include
+CFLAGS += $(shell pkg-config --cflags pacemaker-fencing)
 
-LDFLAGS += -Wl,-z,relro -pie
+LDFLAGS += -Wl,-z,relro -Wl,-z,defs -pie
 LDFLAGS += `xml2-config --libs`
 LDFLAGS += -ldl
