=== debian/changelog ===
dlm (4.1.1-1build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:50:50 +0100

dlm (4.1.1-1) unstable; urgency=medium

  * [14a17b3] Switch to the monolithic Salsa CI recipe
  * [ab71a78] Enable diffoscope in Salsa CI
  * [4319123] Turns out upstream provides tarballs after all
  * [5181ea2] New upstream release (4.1.1)
  * [64477ad] Refresh our patches
  * [db9afff] Acknowledge new symbols
  * [c7e6742] New patch: Fix typo: specfic => specific
  * [fb18deb] Update Standards-Version to 4.6.0 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 27 Nov 2021 12:47:05 +0100
