=== debian/changelog ===
dlm (4.2.0-3build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:56:20 +0200

dlm (4.2.0-3) unstable; urgency=medium

  * [d012be6] Update Standards-Version to 4.6.2 (no changes required)
  * [75ef292] New patch: dlm_controld: remove unnecessary header include
    (Closes: #1042166)

 -- Valentin Vidic <vvidic@debian.org>  Thu, 27 Jul 2023 21:05:33 +0200

dlm (4.2.0-2) unstable; urgency=medium

  * [668bd92] New patch: Revert "treewide: add -fcf-protection=full to CFLAGS"

 -- Valentin Vidic <vvidic@debian.org>  Thu, 17 Nov 2022 20:28:53 +0100

dlm (4.2.0-1) unstable; urgency=medium

  [ Valentin Vidic ]
  * [a0a15db] New upstream version 4.2.0
  * [ef31dac] Refresh our patches
  * [bb2f6d8] Update Standards-Version to 4.6.1 (no changes required)
  * [5e44154] New patch: Disable annobin plugin not available in Debian
  * [a7bcd2e] Update copyright year for Debian files

  [ Helmut Grohne ]
  * [c9b1c2e] Fix FTCBFS: export PKG_CONFIG for all targets. (Closes: #1024076)

 -- Valentin Vidic <vvidic@debian.org>  Wed, 16 Nov 2022 00:35:55 +0100
