=== dlm_controld/Makefile ===
--- 
+++ 
@@ -38,36 +38,60 @@
 
 CFLAGS += -D_GNU_SOURCE -O2 -ggdb \
 	-Wall -Wformat -Wformat-security -Wmissing-prototypes -Wnested-externs \
-	-Wpointer-arith -Wextra -Wshadow -Wcast-align -Wwrite-strings \
+	-Wextra -Wshadow -Wcast-align -Wwrite-strings \
 	-Waggregate-return -Wstrict-prototypes -Winline -Wredundant-decls \
 	-Wno-sign-compare -Wno-unused-parameter -Wp,-D_FORTIFY_SOURCE=2 \
 	-fexceptions -fasynchronous-unwind-tables -fdiagnostics-show-option \
 	-Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong \
-	-fstack-clash-protection -Wl,-z,now
+	-fstack-clash-protection
 
 BIN_CFLAGS += $(CFLAGS) -fPIE -DPIE
 BIN_CFLAGS += -I../include -I../libdlm
 LIB_CFLAGS += $(CFLAGS) -fPIC
 
-BIN_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -Wl,-z,defs -pie
-BIN_LDFLAGS += -lpthread -lrt -lcpg -lcmap -lcfg -lquorum -luuid
-LIB_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -Wl,-z,defs -pie
+# Temporary disable annobin plugin
+#LIB_CFLAGS += -fplugin=annobin
+
+BIN_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -Wl,-z,now -pie
+BIN_LDFLAGS += -lpthread -lrt -luuid
+LIB_LDFLAGS += $(LDFLAGS) -Wl,-z,relro -Wl,-z,now -pie
 
 PKG_CONFIG ?= pkg-config
+PKG_CONFIG_FLAGS := --errors-to-stdout
+
 ifeq ($(USE_SD_NOTIFY),yes)
-	BIN_CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd) \
+	SYSTEMD_CFLAGS := $(shell $(PKG_CONFIG) $(PKG_CONFIG_FLAGS) --cflags libsystemd) \
 		      -DUSE_SD_NOTIFY
-	BIN_LDFLAGS += $(shell $(PKG_CONFIG) --libs libsystemd)
+	SYSTEMD_CFLAGS_STATUS := $(.SHELLSTATUS)
+	SYSTEMD_LDFLAGS := $(shell $(PKG_CONFIG) $(PKG_CONFIG_FLAGS) --libs libsystemd)
+	SYSTEMD_LDFLAGS_STATUS := $(.SHELLSTATUS)
+else
+	SYSTEMD_CFLAGS_STATUS := 0
+	SYSTEMD_LDFLAGS_STATUS := 0
 endif
 
-ifeq (, $(shell $(PKG_CONFIG) --libs "libquorum >= 3.1.0"))
-	 $(error "Requires libquorum at least version 3.1.0")
-endif
+CPG_CFLAGS := $(shell $(PKG_CONFIG) $(PKG_CONFIG_FLAGS) --cflags libcpg libcmap libcfg "libquorum >= 3.1.0")
+CPG_CFLAGS_STATUS := $(.SHELLSTATUS)
+
+CPG_LDFLAGS += $(shell $(PKG_CONFIG) $(PKG_CONFIG_FLAGS) --libs libcpg libcmap libcfg "libquorum >= 3.1.0")
+CPG_LDFLAGS_STATUS := $(.SHELLSTATUS)
 
 all: $(LIB_TARGET) $(BIN_TARGET) $(LIB_PC)
 
 $(BIN_TARGET): $(BIN_SOURCE)
-	$(CC) $(BIN_SOURCE) $(BIN_CFLAGS) $(BIN_LDFLAGS) -o $@ -L.
+ifneq ($(CPG_CFLAGS_STATUS),0)
+	$(error "Failed to call pkg-config for corosync cflags: $(CPG_CFLAGS)")
+endif
+ifneq ($(CPG_LDFLAGS_STATUS),0)
+	$(error "Failed to call pkg-config for corosync ldflags: $(CPG_LDFLAGS)")
+endif
+ifneq ($(SYSTEMD_CFLAGS_STATUS),0)
+	$(error "Failed to call pkg-config for systemd cflags: $(SYSTEMD_CFLAGS)")
+endif
+ifneq ($(SYSTEMD_LDFLAGS_STATUS),0)
+	$(error "Failed to call pkg-config for systemd ldflags: $(SYSTEMD_LDFLAGS)")
+endif
+	$(CC) $(BIN_SOURCE) $(BIN_CFLAGS) $(CPG_CFLAGS) $(SYSTEMD_CFLAGS) $(BIN_LDFLAGS) $(CPG_LDFLAGS) $(SYSTEMD_LDFLAGS) -o $@ -L.
 
 $(LIB_TARGET): $(LIB_SOURCE)
 	$(CC) $^ $(LIB_CFLAGS) $(LIB_LDFLAGS) -shared -o $@ -Wl,-soname=$(LIB_SMAJOR)
