=== debian/changelog ===
dlm (4.3.0-3build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 13:42:28 +0200

dlm (4.3.0-3) unstable; urgency=medium

  * [4274c70] Store whole journal contents when service start fails
  * [21bf20c] Update Standards-Version to 4.7.2 (no changes required)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 04 May 2025 21:54:55 +0200

dlm (4.3.0-2) unstable; urgency=medium

  * [df8434c] Add postinst script to reload udev rules (Closes: #1098675)

 -- Valentin Vidic <vvidic@debian.org>  Thu, 06 Mar 2025 00:03:04 +0100

dlm (4.3.0-1) unstable; urgency=medium

  * [9653793] New upstream release (4.3.0)
  * [8a65b69] Delete upstream patches, refresh the rest

 -- Ferenc Wágner <wferi@debian.org>  Sun, 26 May 2024 19:28:04 +0200

dlm (4.2.0-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [2755925] Delegate placement of udev files to pkg-config data (Closes:
    #1057751)

  [ Valentin Vidic ]
  * [3d237e4] Update Build-Depends pkg-config to pkgconf
  * [f2b7a9c] Update Standards-Version to 4.7.0 (no changes required)
  * [556159d] Update patches forwarded status
  * [4339b52] Update lintian-overrides for new location of udev rules

 -- Valentin Vidic <vvidic@debian.org>  Sat, 11 May 2024 15:03:13 +0200
