=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: dlm
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Ferenc Wágner <wferi@debian.org>,
  Valentin Vidic <vvidic@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -16,7 +15,8 @@
  libsystemd-dev,
  libxml2-dev,
  pacemaker-dev,
- pkg-config,
+ pkgconf,
+ systemd-dev,
  uuid-dev,
 Homepage: https://pagure.io/dlm
 Vcs-Browser: https://salsa.debian.org/ha-team/dlm
