=== debian/watch ===
version=4
https://releases.pagure.org/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
